com.qualcomm.ftccommon

## Class FtcLynxModuleAddressUpdateActivity.DisplayedModuleList

- java.lang.Object
- - com.qualcomm.ftccommon.FtcLynxModuleAddressUpdateActivity.DisplayedModuleList

- Enclosing class:
    FtcLynxModuleAddressUpdateActivity

      protected class FtcLynxModuleAddressUpdateActivity.DisplayedModuleList
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FtcLynxModuleAddressUpdateActivity.AddressConfiguration` | `currentAddressConfiguration`
    `protected int` | `lastModuleAddressChoice`
    `protected ViewGroup` | `moduleList`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DisplayedModuleList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `add(USBAccessibleLynxModule module, java.util.List<java.lang.Integer> addresses)`
    `void` | `changeAddress(SerialNumber serialNumber, int newAddress)`
    `protected int` | `findUnusedAddress()`
    `protected FtcLynxModuleAddressUpdateActivity.DisplayedModule` | `from(SerialNumber serialNumber)`
    `void` | `initialize(java.util.List<USBAccessibleLynxModule> modules)`
    `protected int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lastModuleAddressChoice

          protected int lastModuleAddressChoice

    - #### currentAddressConfiguration

          protected FtcLynxModuleAddressUpdateActivity.AddressConfiguration currentAddressConfiguration

    - #### moduleList

          protected ViewGroup moduleList

  - ### Constructor Detail

    - #### DisplayedModuleList

          protected DisplayedModuleList()

  - ### Method Detail

    - #### initialize

          public void initialize(java.util.List<USBAccessibleLynxModule> modules)

    - #### size

          protected int size()

    - #### add

          protected void add(USBAccessibleLynxModule module,
                             java.util.List<java.lang.Integer> addresses)

    - #### from

          protected FtcLynxModuleAddressUpdateActivity.DisplayedModule from(SerialNumber serialNumber)

    - #### changeAddress

          public void changeAddress(SerialNumber serialNumber,
                                    int newAddress)

    - #### findUnusedAddress

          protected int findUnusedAddress()